com.tibbo.aggregate.common.server

## Interface UserContextConstants

-     public interface UserContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `E_LOGIN`
    `static java.lang.String` | `E_LOGOUT`
    `static java.lang.String` | `E_SESSION_EXPIRING`
    `static java.lang.String` | `V_PERMISSIONS`
    `static java.lang.String` | `V_PHOTO`
    `static java.lang.String` | `V_RESOURCES`
    `static java.lang.String` | `V_ROLE_BASED_PERMISSIONS`
    `static java.lang.String` | `V_SETTINGS`
    `static java.lang.String` | `V_STATUS`
    `static java.lang.String` | `V_UI`
    `static java.lang.String` | `VF_PERMISSIONS_ENTITY`
    `static java.lang.String` | `VF_PERMISSIONS_ENTITY_TYPE`
    `static java.lang.String` | `VF_PERMISSIONS_MASK`
    `static java.lang.String` | `VF_PERMISSIONS_ROLE`
    `static java.lang.String` | `VF_PERMISSIONS_TYPE`
    `static java.lang.String` | `VF_RESOURCES_AVAILABLE`
    `static java.lang.String` | `VF_RESOURCES_DESCRIPTION`
    `static java.lang.String` | `VF_RESOURCES_PATTERN`
    `static java.lang.String` | `VF_SETTINGS_ACTIVATION_TIME`
    `static java.lang.String` | `VF_SETTINGS_CONNECTION_RESTRICTION_EXPRESSION`
    `static java.lang.String` | `VF_SETTINGS_ENABLED`
    `static java.lang.String` | `VF_SETTINGS_EXPIRATION_TIME`
    `static java.lang.String` | `VF_SETTINGS_INHERIT_PERMISSIONS`
    `static java.lang.String` | `VF_SETTINGS_INHERIT_PERMISSIONS_USER`
    `static java.lang.String` | `VF_SETTINGS_USE_ROLE_BASED_PERMISSIONS`
    `static java.lang.String` | `VF_STATUS_CREATIONTIME`
    `static java.lang.String` | `VF_STATUS_LOGINTIME`
    `static java.lang.String` | `VF_STATUS_UPDATETIME`
    `static java.lang.String` | `VF_UI_SIMPLE_MODE`
    `static java.lang.String` | `VF_UI_SIMPLIFIED_ERROR_MESSAGES`
    `static java.lang.String` | `VF_UI_TOOLTIP_DELAY`

- - ### Field Detail

    - #### E_LOGIN

          static final java.lang.String E_LOGIN

      See Also:
        Constant Field Values

    - #### E_LOGOUT

          static final java.lang.String E_LOGOUT

      See Also:
        Constant Field Values

    - #### E_SESSION_EXPIRING

          static final java.lang.String E_SESSION_EXPIRING

      See Also:
        Constant Field Values

    - #### V_PERMISSIONS

          static final java.lang.String V_PERMISSIONS

      See Also:
        Constant Field Values

    - #### V_ROLE_BASED_PERMISSIONS

          static final java.lang.String V_ROLE_BASED_PERMISSIONS

      See Also:
        Constant Field Values

    - #### V_SETTINGS

          static final java.lang.String V_SETTINGS

      See Also:
        Constant Field Values

    - #### V_RESOURCES

          static final java.lang.String V_RESOURCES

      See Also:
        Constant Field Values

    - #### V_PHOTO

          static final java.lang.String V_PHOTO

      See Also:
        Constant Field Values

    - #### V_STATUS

          static final java.lang.String V_STATUS

      See Also:
        Constant Field Values

    - #### V_UI

          static final java.lang.String V_UI

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_CONNECTION_RESTRICTION_EXPRESSION

          static final java.lang.String VF_SETTINGS_CONNECTION_RESTRICTION_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_ENABLED

          static final java.lang.String VF_SETTINGS_ENABLED

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_ACTIVATION_TIME

          static final java.lang.String VF_SETTINGS_ACTIVATION_TIME

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_EXPIRATION_TIME

          static final java.lang.String VF_SETTINGS_EXPIRATION_TIME

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_INHERIT_PERMISSIONS

          static final java.lang.String VF_SETTINGS_INHERIT_PERMISSIONS

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_INHERIT_PERMISSIONS_USER

          static final java.lang.String VF_SETTINGS_INHERIT_PERMISSIONS_USER

      See Also:
        Constant Field Values

    - #### VF_SETTINGS_USE_ROLE_BASED_PERMISSIONS

          static final java.lang.String VF_SETTINGS_USE_ROLE_BASED_PERMISSIONS

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_PATTERN

          static final java.lang.String VF_RESOURCES_PATTERN

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_DESCRIPTION

          static final java.lang.String VF_RESOURCES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### VF_RESOURCES_AVAILABLE

          static final java.lang.String VF_RESOURCES_AVAILABLE

      See Also:
        Constant Field Values

    - #### VF_PERMISSIONS_TYPE

          static final java.lang.String VF_PERMISSIONS_TYPE

      See Also:
        Constant Field Values

    - #### VF_PERMISSIONS_MASK

          static final java.lang.String VF_PERMISSIONS_MASK

      See Also:
        Constant Field Values

    - #### VF_PERMISSIONS_ROLE

          static final java.lang.String VF_PERMISSIONS_ROLE

      See Also:
        Constant Field Values

    - #### VF_PERMISSIONS_ENTITY_TYPE

          static final java.lang.String VF_PERMISSIONS_ENTITY_TYPE

      See Also:
        Constant Field Values

    - #### VF_PERMISSIONS_ENTITY

          static final java.lang.String VF_PERMISSIONS_ENTITY

      See Also:
        Constant Field Values

    - #### VF_STATUS_UPDATETIME

          static final java.lang.String VF_STATUS_UPDATETIME

      See Also:
        Constant Field Values

    - #### VF_STATUS_CREATIONTIME

          static final java.lang.String VF_STATUS_CREATIONTIME

      See Also:
        Constant Field Values

    - #### VF_STATUS_LOGINTIME

          static final java.lang.String VF_STATUS_LOGINTIME

      See Also:
        Constant Field Values

    - #### VF_UI_SIMPLE_MODE

          static final java.lang.String VF_UI_SIMPLE_MODE

      See Also:
        Constant Field Values

    - #### VF_UI_TOOLTIP_DELAY

          static final java.lang.String VF_UI_TOOLTIP_DELAY

      See Also:
        Constant Field Values

    - #### VF_UI_SIMPLIFIED_ERROR_MESSAGES

          static final java.lang.String VF_UI_SIMPLIFIED_ERROR_MESSAGES

      See Also:
        Constant Field Values